Subject: bug#35622: Ran into a bug in the new graphical installer on WiFi setup

From: Ludovic Courtès <[email-masked]>
Date: Wed, 08 May 2019 15:06:54 +0200

Hello,

Mark H Weaver <[email-masked]> skribis:

> Hugo Saavedra <[email-masked]> writes:
>
>> Thanks for your work on GuixSD. I was excited to try out the new
>> graphical installer, but ran into a bug while setting up WiFi.
>
> I'm sorry to hear it.  Thanks very much for the report.
>
>> I've uploaded photos of the stacktrace for you to take a look at. This
>> is running on a Dell Inspiron 11 3000 series.
>>
>> https://imgur.com/a/qcwgNXr
>
> From the backtrace, I see that 'string-null?' was applied to #f, and I
> guess it was the 'string-null?' called from the 'wifi-services'
> procedure in (gnu installer newt wifi), here:

Could you post the image here?  imgur.com says it’s “over capacity” and
I can’t see the image right now.

Ludo’.